use sprinklers_core::model::Section;

use rusqlite::{Error as SqlError, Row as SqlRow, ToSql};

pub fn from_sql<'a>(row: &SqlRow<'a>) -> Result<Section, SqlError> {
    Ok(Section {
        id: row.get(0)?,
        name: row.get(1)?,
        interface_id: row.get(2)?,
    })
}

#[allow(dead_code)]
pub fn as_sql(section: &Section) -> Vec<&dyn ToSql> {
    vec![&section.id, &section.name, &section.interface_id]
}
